# Class: zoom_region

## LocusZoom_Widgets~zoom_region()

Zoom in or out on the plot, centered on the middle of the plot region, by the specified amount

## Constructor

#### new zoom_region()

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`layout.step` | number | <optional> | 0.2 | The fraction to zoom in by (where 1 indicates 100%)
`layout.button_html` | string | <optional> |  | Label
`layout.button_title` | string | <optional> |  | Mouseover text

Source:
  - components/toolbar/widgets.js, line 1216
See:
  - module:LocusZoom_Widgets~BaseWidget for additional options